# SDPAudioMediaDescription Class Reference

`#include <sdp.h>`

Inheritance diagram for SDPAudioMediaDescription:

[legend]
Collaboration diagram for SDPAudioMediaDescription:
[legend]

## Public Member Functions

| SDPAudioMediaDescription (const OpalTransportAddress &address)
virtual PString | GetSDPMediaType () const
virtual void | OutputAttributes (ostream &str) const
virtual void | SetAttribute (const PString &attr, const PString &value)
virtual bool | PostDecode (const OpalMediaFormatList &mediaFormats)

## Protected Attributes

unsigned | m_PTime
unsigned | m_maxPTime

## Constructor & Destructor Documentation

SDPAudioMediaDescription::SDPAudioMediaDescription | ( | const OpalTransportAddress & | address | ) |

## Member Function Documentation

virtual PString SDPAudioMediaDescription::GetSDPMediaType | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

virtual void SDPAudioMediaDescription::OutputAttributes | ( | ostream & | str | ) | const`[virtual]`

Reimplemented from SDPRTPAVPMediaDescription.

virtual bool SDPAudioMediaDescription::PostDecode | ( | const OpalMediaFormatList & | mediaFormats | ) | `[virtual]`

Reimplemented from SDPMediaDescription.

virtual void SDPAudioMediaDescription::SetAttribute | ( | const PString & | attr,
|  | const PString & | value |
| ) |  |  | `[virtual]`

Reimplemented from SDPRTPAVPMediaDescription.

## Field Documentation

unsigned SDPAudioMediaDescription::m_maxPTime `[protected]`

unsigned SDPAudioMediaDescription::m_PTime `[protected]`

The documentation for this class was generated from the following file:

- sdp.h